cd "C:\Users\a0910846\Dropbox (BI Norwegian Business School)\KommunalOrganisering\kart"
**************************************************************
************** MAYOR DATA FROM FIVA-HALSE-NATVIK (2020)*******
**************************************************************
use FivaHalseNatvik2020.dta, replace
keep if year==2020
keep knr Mayor
save Mayor2019.dta, replace

**************************************************************
****************** CREATE SHAPE FILES ************************
**************************************************************
*shp2dta using "norgeskart/kommuner20_simplest", database(norge_munic_356) coordinates(coordinates_356) genid(id) replace
use norge_munic_356, clear
rename komnr knr
** The kommuner20_simplest is from Eivind Moe Hammersmark and is based on https://kartkatalog.geonorge.no/metadata/norske-fylker-og-kommuner-illustrasjonsdata-2021-klippet-etter-kyst/f08fca3c-33ee-49b9-be9f-028ebba5e460 (men 2020-versjonen), forenklet med mapshaper.org.

**************************************************************
****************** MERGE FILES *******************************
**************************************************************
merge m:1 knr using Mayor2019.dta

gen mayor = 9
label var mayor "Ordførers partitilhørighet"
replace mayor=1 if Mayor==1  /* SV */
replace mayor=2 if Mayor==11 /* DNA */
replace mayor=3 if Mayor==81 & knr==5404 /* MDG i Vardø https://no.wikipedia.org/wiki/Liste_over_ordf%C3%B8rere_i_Norge_2019%E2%80%932023 */
replace mayor=4 if Mayor==21 /* V */
replace mayor=5 if Mayor==31 /* SP */
replace mayor=6 if Mayor==41 /* KRF */
replace mayor=7 if Mayor==51 /* H */
replace mayor=8 if Mayor==55 /* FRP */

replace mayor=5 if knr==1144 & Mayor==61 /* kvitsøy har fellesliste med KRF ordfører */
* Engerdal (Mayor=61) har SP-ordfører men hun representerer Samlingslista --> "Andre"

label define mayor 1 "SV" 2 "AP" 3 "MDG" 4 "V" 5 "SP" 6 "KRF" 7 "H" 8 "FRP" 9 "Andre"
label val mayor mayor

**************************************************************
****************** CREATE MAYOR MAP **************************
**************************************************************
spmap mayor using coordinates_356, id(id) legend(pos(5)) subtitle("", pos(11)) ///
fcolor(red red*0.5 green*1.5 lime green yellow eltblue edkblue gray*0.25) clmethod(unique)
graph export Mayor2019.tif, replace